org.apache.solr.client.solrj.io.stream

## Class ShuffleStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.CloudSolrStream
    - - org.apache.solr.client.solrj.io.stream.ShuffleStream

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable, Expressible, MapSerializable, MapWriter

    public class ShuffleStream
    extends CloudSolrStream
    implements Expressible

Since:
  6.6.0
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`CloudSolrStream.StreamOpener, CloudSolrStream.TupleWrapper`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

`TupleStream.IgnoreException`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`cloudSolrClient, collection, comp, eofTuples, fieldMappings, params, solrStreams, streamContext, tuples, zkHost`

### Constructor Summary

Constructors
Constructor and Description
`ShuffleStream(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModifiableSolrParams` `adjustParams(ModifiableSolrParams mParams)`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.CloudSolrStream

`_read, children, close, constructStreams, getEofTuples, getSlices, getStreamSort, init, open, read, setFieldMappings, setStreamContext, setTrace, toExplanation, toExpression`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

`getCost, getShards, getStreamNodeId, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Constructor Detail

#### ShuffleStream

    public ShuffleStream(StreamExpression expression,
                         StreamFactory factory)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### adjustParams

    public ModifiableSolrParams adjustParams(ModifiableSolrParams mParams)

Overrides:
  `adjustParams` in class `CloudSolrStream`